Pular para o conteúdo

/pix/pages/{pageReferenceId}/charges/{correlationId}

Testar na referência interativa

GET
/pix/pages/{pageReferenceId}/charges/{correlationId}
curl --request GET \
--url https://api.chatfood.app/pix/pages/example/charges/example \
--header 'Authorization: Bearer <token>'
pageReferenceId
required
string
correlationId
required
string

OK

Media typeapplication/json
object
correlationId
string
nullable
status
string
nullable
valueCents
integer format: int32
profileReferenceId
string
nullable
schemaId
string format: uuid
nodeId
string
nullable
subscriptionTag
string
nullable
period
string
nullable
createdAt
string format: date-time
chargeExpiresAt
string format: date-time
nullable
paidAt
string format: date-time
nullable
subscriptionExpiresAt
string format: date-time
nullable
transactionId
string
nullable
brCode
string
nullable
qrCodeImageUrl
string
nullable
paymentLinkUrl
string
nullable
Examplegenerated
{
"correlationId": "example",
"status": "example",
"valueCents": 1,
"profileReferenceId": "example",
"schemaId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"nodeId": "example",
"subscriptionTag": "example",
"period": "example",
"createdAt": "2026-04-15T12:00:00Z",
"chargeExpiresAt": "2026-04-15T12:00:00Z",
"paidAt": "2026-04-15T12:00:00Z",
"subscriptionExpiresAt": "2026-04-15T12:00:00Z",
"transactionId": "example",
"brCode": "example",
"qrCodeImageUrl": "example",
"paymentLinkUrl": "example"
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}